View Javadoc

    1   /*
    2    * Copyright 2012 The Netty Project
    3    *
    4    * The Netty Project licenses this file to you under the Apache License,
    5    * version 2.0 (the "License"); you may not use this file except in compliance
    6    * with the License. You may obtain a copy of the License at:
    7    *
    8    *   http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
    12   * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
    13   * License for the specific language governing permissions and limitations
    14   * under the License.
    15   */
    16  package org.jboss.netty.handler.codec.http.websocketx;
    17
    18  import org.jboss.netty.buffer.ChannelBuffer;
    19  import org.jboss.netty.buffer.ChannelBuffers;
    20
    21  /**
    22   * Web Socket frame containing binary data
    23   */
    24  public class BinaryWebSocketFrame extends WebSocketFrame {
    25
    26      /**
    27       * Creates a new empty binary frame.
    28       */
    29      public BinaryWebSocketFrame() {
    30          setBinaryData(ChannelBuffers.EMPTY_BUFFER);
    31      }
    32
    33      /**
    34       * Creates a new binary frame with the specified binary data. The final fragment flag is set to true.
    35       *
    36       * @param binaryData
    37       *            the content of the frame.
    38       */
    39      public BinaryWebSocketFrame(ChannelBuffer binaryData) {
    40          setBinaryData(binaryData);
    41      }
    42
    43      /**
    44       * Creates a new binary frame with the specified binary data and the final fragment flag.
    45       *
    46       * @param finalFragment
    47       *            flag indicating if this frame is the final fragment
    48       * @param rsv
    49       *            reserved bits used for protocol extensions
    50       * @param binaryData
    51       *            the content of the frame.
    52       */
    53      public BinaryWebSocketFrame(boolean finalFragment, int rsv, ChannelBuffer binaryData) {
    54          setFinalFragment(finalFragment);
    55          setRsv(rsv);
    56          setBinaryData(binaryData);
    57      }
    58
    59      @Override
    60      public String toString() {
    61          return getClass().getSimpleName() + "(data: " + getBinaryData() + ')';
    62      }
    63
    64  }